Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data
Interface XYDataset

All Superinterfaces:
  Dataset, SeriesDataset

All Known Subinterfaces:
  BoxAndWhiskerXYDataset, ContourDataset, HighLowDataset, IntervalXYDataset, IntervalXYZDataset, SignalsDataset, TableXYDataset, WindDataset, XYZDataset

All Known Implementing Classes:
  AbstractIntervalXYDataset, AbstractXYDataset, AbstractXYZDataset, CategoryTableXYDataset, CombinedDataset, CyclicXYItemRenderer.OverwriteDataSet, DefaultBoxAndWhiskerXYDataset, DefaultContourDataset, DefaultHighLowDataset, DefaultTableXYDataset, DefaultWindDataset, DynamicTimeSeriesCollection, HistogramDataset, JDBCXYDataset, MatrixSeriesCollection, OHLCDataset, SubSeriesDataset, TimePeriodValuesCollection, TimeSeriesCollection, TimeTableXYDataset, XYBarDataset, XYSeriesCollection

public interface XYDataset
extends SeriesDataset

An interface through which data in the form of (x, y) items can be accessed.

Method Summary
`int` | `getItemCount(int series)` Returns the number of items in a series.
`double` | `getX(int series, int item)` Returns the x-value (as a double primitive) for an item within a series.
`java.lang.Number` | `getXValue(int series, int item)` Returns the x-value for an item within a series.
`double` | `getY(int series, int item)` Returns the y-value (as a double primitive) for an item within a series.
`java.lang.Number` | `getYValue(int series, int item)` Returns the y-value for an item within a series.

Methods inherited from interface org.jfree.data.SeriesDataset
`getSeriesCount, getSeriesName`

Methods inherited from interface org.jfree.data.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`

Method Detail

### getItemCount

    public int getItemCount(int series)

  Returns the number of items in a series.

  Parameters:
    `series` - the series (zero-based index).
  Returns:
    The item count.

### getXValue

    public java.lang.Number getXValue(int series,
                                      int item)

  Returns the x-value for an item within a series. The x-values may or may not be returned in ascending order, that is up to the class implementing the interface.

  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The x-value (possibly `null`).

### getX

    public double getX(int series,
                       int item)

  Returns the x-value (as a double primitive) for an item within a series.

  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The x-value.

### getYValue

    public java.lang.Number getYValue(int series,
                                      int item)

  Returns the y-value for an item within a series.

  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    the y-value (possibly `null`).

### getY

    public double getY(int series,
                       int item)

  Returns the y-value (as a double primitive) for an item within a series.

  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The y-value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD